package com.krispot.client.ui;

import com.google.gwt.event.dom.client.ClickHandler;
import com.google.gwt.user.client.ui.InlineHTML;
import com.krispot.client.common.Reset;
	
public class KriInlineHTML extends InlineHTML implements Reset {
	
	public KriInlineHTML(String text) {
		super(text);
	}
	
	public KriInlineHTML(String text, ClickHandler handler) {
		super(text);
		super.addClickHandler(handler);
	}
	
	public KriInlineHTML(String text, String style) {
		super(text);
		super.setStyleName(style);
	}

	public KriInlineHTML(String text, String style, ClickHandler handler) {
		super(text);
		super.setStyleName(style);
		super.addClickHandler(handler);
	}
	@Override
	public void reset() {
		setText("");
	}
}
