package com.krispot.client.ui;

import com.google.gwt.event.dom.client.ClickEvent;
import com.google.gwt.event.dom.client.ClickHandler;
import com.google.gwt.user.client.ui.HTML;
import com.google.gwt.user.client.ui.HasHorizontalAlignment;
import com.google.gwt.user.client.ui.HasVerticalAlignment;
import com.google.gwt.user.client.ui.HorizontalPanel;
import com.google.gwt.user.client.ui.Image;
import com.google.gwt.user.client.ui.PopupPanel;
import com.krispot.client.Kri;

public class KriPopUp extends PopupPanel implements Kri {
	Image closeImage = new Image("images/close.gif");
	final private KriContentPane contentPane = new KriContentPane();
	HorizontalPanel horizontalPanel = new HorizontalPanel();
	HTML title = new HTML("&nbsp;");
	private void init() {
		setAnimationEnabled(true);
		setGlassEnabled(true);
		setModal(true);
		
		closeImage.setStyleName("CursorAsHand", true);
		closeImage.addClickHandler(new ClickHandler(){
			@Override
			public void onClick(ClickEvent event) {
				hide();
			}
    	});
		
		horizontalPanel.setWidth("100%");
		horizontalPanel.add(title);
		horizontalPanel.setCellHorizontalAlignment(title, HasHorizontalAlignment.ALIGN_CENTER);
		horizontalPanel.add(closeImage);
		horizontalPanel.setCellHorizontalAlignment(closeImage, HasHorizontalAlignment.ALIGN_RIGHT);
		horizontalPanel.setCellVerticalAlignment(closeImage, HasVerticalAlignment.ALIGN_TOP);
		
		contentPane.add(horizontalPanel);
		
		contentPane.setSpacing(1);
		contentPane.setBorderWidth(DEBUG);
	    setWidget(contentPane);	
	}
	public KriPopUp() {
		init();
	    setSize("500px", "150px");
//	    this.horizontalPanel.getElement().getStyle().setBackgroundColor("#FF9966");
	    contentPane.getElement().getStyle().setBackgroundColor("#FFF8DC");
	}
	public KriPopUp(String width, String heigth) {
		init();		
		setSize(width, heigth);
	}
	public void setTitle(String title) {
		this.title.setHTML(title);
	}
	public void setTitleBgColor(String color) {
		this.horizontalPanel.getElement().getStyle().setBackgroundColor(color);
	}
	public KriContentPane getContentPane() {
		return contentPane;
	}
}
