package com.krispot.client.ui;

import com.google.gwt.dom.client.Style.Unit;
import com.google.gwt.event.dom.client.ClickEvent;
import com.google.gwt.event.dom.client.ClickHandler;
import com.google.gwt.user.client.ui.HorizontalPanel;
import com.google.gwt.user.client.ui.Image;
import com.google.gwt.user.client.ui.PopupPanel;

public class KriPopupButtons extends PopupPanel {
	Image closeImage = new Image("images/Close16.png");
	KriImage saveImage = new KriImage(KriImage.SAVE16);
	public KriImage getSaveImage() {
		return saveImage;
	}
	
	public KriPopupButtons(final PopupPanel popupPanel) {
		HorizontalPanel horizontalPanel = new HorizontalPanel();
			closeImage.setStyleName("CursorAsHand", true);
			closeImage.setTitle("Close");
			closeImage.addClickHandler(new ClickHandler() {
				@Override
				public void onClick(ClickEvent event) {
					popupPanel.hide();
					hide();
				} 
	    	});

			saveImage.setStyleName("CursorAsHand", true);
			saveImage.setTitle("Save");
			saveImage.addClickHandler((ClickHandler)popupPanel);
		horizontalPanel.add(saveImage);
		horizontalPanel.add(closeImage);
		horizontalPanel.setSpacing(5);
				
		int left = (popupPanel.getAbsoluteLeft()+popupPanel.getOffsetWidth())-60;
		int top = popupPanel.getAbsoluteTop()-10;
		setPopupPosition(left, top);

		getElement().getStyle().setBorderWidth(0, Unit.PX);
		getElement().getStyle().setMargin(0, Unit.PX);
		getElement().getStyle().setProperty("background", "transparent");
		setWidget(horizontalPanel);
	    show();
	}
}
