package com.krispot.client.ui;

import com.google.gwt.dom.client.Style.Unit;
import com.google.gwt.event.dom.client.ClickHandler;
import com.google.gwt.user.client.ui.PopupPanel;

public class KriPopupCloseButton extends PopupPanel {
	KriImage closeImage = new KriImage(KriImage.CLOSE24);
	public KriPopupCloseButton(final PopupPanel popupPanel) {
		
		closeImage.addClickHandler((ClickHandler)popupPanel);
			
		int left = (popupPanel.getAbsoluteLeft()+popupPanel.getOffsetWidth())-(closeImage.getWidth()/2);
		int top = popupPanel.getAbsoluteTop()-(closeImage.getHeight()/2);
		getElement().getStyle().setBorderWidth(0, Unit.PX);
		getElement().getStyle().setMargin(0, Unit.PX);
		getElement().getStyle().setProperty("background", "transparent");
		setPopupPosition(left, top);
		setWidget(closeImage);
	    show();
	}
}
