package com.krispot.client.ui;

import com.google.gwt.dom.client.Style.Unit;
import com.google.gwt.event.dom.client.ClickEvent;
import com.google.gwt.event.dom.client.ClickHandler;
import com.google.gwt.user.client.ui.Image;
import com.google.gwt.user.client.ui.PopupPanel;

public class KriPopupSaveButton extends PopupPanel {

	public KriPopupSaveButton(final PopupPanel popupPanel) {
		Image closeImage = new Image("images/Accept32.png");
		closeImage.setStyleName("CursorAsHand", true);
			closeImage.addClickHandler(new ClickHandler() {
				@Override
				public void onClick(ClickEvent event) {
					popupPanel.hide();
					hide();
				} 
	    	});
			
		int left = (popupPanel.getAbsoluteLeft()+popupPanel.getOffsetWidth())-(closeImage.getWidth());
		int top = popupPanel.getAbsoluteTop()+(closeImage.getHeight());
		getElement().getStyle().setBorderWidth(0, Unit.PX);
		getElement().getStyle().setMargin(0, Unit.PX);
		getElement().getStyle().setProperty("background", "transparent");
		setPopupPosition(left, top);
		setWidget(closeImage);
	    show();
	}
}
