package com.krispot.client.ui;

import com.google.gwt.user.client.rpc.IsSerializable;
import com.google.gwt.user.client.ui.SuggestOracle.Suggestion;

public class KriSuggestion implements Suggestion, IsSerializable {
	private String text;
	private String value;
	// Convenience method for creation of a suggestion
	public KriSuggestion(String text, String value) {
		this.text = text;
		this.value = value;
	}
	public KriSuggestion() {
	}
		
	public String getText() {
		return text;
	}
	public void setText(String text) {
		this.text = text;
	}
	public String getDisplayString() {
		return text;
	}
	public String getReplacementString() {
		return text;
	}
	public String getValue() {
		return value;
	}
	public void setValue(String value) {
		this.value = value;
	}
}
