package com.krispot.server;

import java.io.BufferedOutputStream;
import java.io.ByteArrayInputStream;
import java.io.ByteArrayOutputStream;
import java.io.IOException;
import java.util.Enumeration;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import nl.captcha.Captcha;
import nl.captcha.servlet.CaptchaServletUtil;
import nl.captcha.servlet.SimpleCaptchaServlet;

public class KriSecurityImage extends SimpleCaptchaServlet {
	private static final long serialVersionUID = 6560171562324177699L;
	public static final String KRI_CAPTCHA = "kriCaptcha";
//	private static final Logger log = Logger.getLogger(ExtendedCaptchaServlet.class.getName());
	
	@Override
    public void doGet(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
		try{
			for (Enumeration<String> en = req.getParameterNames(); en.hasMoreElements();) {
				String pName = en.nextElement();
				for (String pValue : req.getParameterValues(pName)) {
					System.out.println(pName + " - " + pValue);
				}
			}
		        HttpSession session = req.getSession();
		        Captcha captcha = new Captcha.Builder(150, _height)
			        	.addText()
			            .build();
		        session.setAttribute(KRI_CAPTCHA, captcha);
		        ByteArrayOutputStream baos = new ByteArrayOutputStream();
		        CaptchaServletUtil.writeImage(baos, captcha.getImage());
		        
		        BufferedOutputStream bos = new BufferedOutputStream(resp.getOutputStream());
		        bos.write(baos.toByteArray());
		        bos.close();
        }catch(Exception err) {
        
        }
    }
	
}