package com.krispot.client.ui;

import com.google.gwt.user.client.ui.Image;
import com.krispot.client.common.RoleAction;
 
public class KriImage<T> extends Image implements RoleAction {
	
	public static String SEARCH16 = "Search-16";
	public static String RELOAD16 = "Reload-16";
	public static String CLOSE16 = "Close-16";
	public static String CLOSE24 = "Close-24";
	public static String SAVE16 = "Save-16";
	public static String EDIT16 = "Edit-16";
	public static String DELETE16 = "Delete-16";
	public static String FORWARD16 = "Forward-16";
	public static String HISTORY16 = "History-16";
	public static String RECIEVE16 = "Recieve-16";
	public static String RETURN16 = "Return-16";
	public static String GROUP16 = "Group-16";
	public static String ROLE_ADD16 = "Add Role-16";
	public static String ROLE_REMOVE16 = "Remove Role-16";
	public static String USER16 = "User-16";
	public static String SCHEDULER16 = "Scheduler-16";
	private T dto;
	private String id;
	
	public KriImage(String type) {
		super("images/Kri_"+type+".png");
		this.id = type;
		setStyleName("CursorAsHand");
		setTitle(type.substring(0, type.indexOf("-")));
	}
	public KriImage(T dto, String type) {
		super("images/Kri_"+type+".png");
		this.dto = dto;
		this.id = type;
		setStyleName("CursorAsHand");
		setTitle(type);
	}
    public KriImage(String roleId, T dto, String type) {
    	this(dto, type);
		
	}
	public String getId() {
		return id;
	}
	public T getDto() {
		return dto;
	}
	@Override
	public void setEnabled(boolean enable) {
		
	}
}