package com.krispot.client.ui;

import com.google.gwt.user.client.ui.HTML;
import com.google.gwt.user.client.ui.HorizontalPanel;
import com.google.gwt.user.client.ui.TreeItem;

public class KriTreeItem<T> extends TreeItem {
	KriImage imageSave;
	private T dto;
	private HorizontalPanel hPanel;
	private HTML html;
	public KriTreeItem(HorizontalPanel hPanel, HTML html, T dto, KriImage imageSave) {
		super(hPanel);
		this.dto = dto;
		this.imageSave = imageSave;
		this.hPanel = hPanel;
		hPanel.add(html);
		this.html = html;
	}
	public T getDto() {
		return dto;
	}
	public KriImage getImageSave() {
		return imageSave;
	}
	public void setImageSave(KriImage imageSave) {
		this.imageSave = imageSave;
	}
	public HorizontalPanel getHPanel() {
		return hPanel;
	}
	public void setHPanel(HorizontalPanel panel) {
		hPanel = panel;
	}
	public HTML getHtml() {
		return html;
	}
	public void setHtml(HTML html) {
		this.html = html;
	}
	
}