package com.krispot.client.ui;

import com.google.gwt.user.client.ui.VerticalPanel;
import com.google.gwt.user.client.ui.Widget;

public class KriVerticalPanel extends VerticalPanel {
	
	public KriVerticalPanel() {
	}
	
	public KriVerticalPanel(int border) {
		super.setBorderWidth(border);
	}
	
	public KriVerticalPanel(String style) {
		super.setStyleName(style);
	}
	
	public KriVerticalPanel(int border, String width, String height) {
		if(width != null)
			super.setWidth(width);
		if(height != null)
			super.setHeight(height);
		super.setBorderWidth(border);
	}

	public KriVerticalPanel(Integer border, String width, String height, String style) {
		if(width != null)
			super.setWidth(width);
		if(height != null)
			super.setHeight(height);
		if(style != null)
			super.setStyleName(style);
	}

	public KriVerticalPanel(Integer border, String width, String height, String style, Integer spacing) {
		if(width != null)
			super.setWidth(width);
		if(height != null)
			super.setHeight(height);
		if(spacing != null)
			super.setSpacing(spacing);
		if(style != null)
			super.setStyleName(style);
	}
	
	public void add(Widget widget, String width, String height, VerticalAlignmentConstant vAlign, HorizontalAlignmentConstant hAlign) {
		
		super.add(widget);
		if(width != null)
			super.setWidth(width);
		if(height != null)
			super.setHeight(height);
		if(vAlign != null)
			super.setCellVerticalAlignment(widget, vAlign);
		if(hAlign != null)
			super.setCellHorizontalAlignment(widget, hAlign);
	}
}