package com.krispot.client.ui;
import com.google.gwt.dom.client.Style.Unit;
import com.google.gwt.user.client.Timer;
import com.google.gwt.user.client.ui.HTML;
import com.google.gwt.user.client.ui.HorizontalPanel;
import com.google.gwt.user.client.ui.Image;
import com.google.gwt.user.client.ui.PopupPanel;
import com.google.gwt.user.client.ui.VerticalPanel;
import com.krispot.client.Kri;

public class KriWaiting extends PopupPanel implements Kri {
		
		VerticalPanel vPanel = new VerticalPanel();
		HorizontalPanel horizontalPanel = new HorizontalPanel();
		Image image = new Image("images/wating.gif");
	public KriWaiting(boolean autoHide, boolean modal) {
			super(autoHide, modal);
			super.getElement().getStyle().setBorderColor("BLUE");
			super.setGlassEnabled(true);
			super.setGlassStyleName(css.transparent());
			super.setAnimationEnabled(true);
			super.setStyleName(css.zeroMargin());
			super.getElement().getStyle().setMargin(0, Unit.PX);
			// margin:0px !important;
			super.getElement().getStyle().setBorderWidth(0, Unit.PX);
			super.setModal(true);
			vPanel.add(new HTML("<b>&nbsp;Please Wait...</b>"));
			vPanel.add(image);
			horizontalPanel.setBorderWidth(1);
			horizontalPanel.add(vPanel);
			horizontalPanel.setCellVerticalAlignment(vPanel, VerticalPanel.ALIGN_MIDDLE);
			super.add(horizontalPanel);
		}
		
	public KriWaiting(boolean autoHide, boolean modal, String style) {
		    this(autoHide, modal);
	        horizontalPanel.setStyleName(style);
		}
    public void showPopUp(String style) {
           	super.center();
           	super.show();
           	vPanel.setStyleName(style);
		}
		
	public void showPopUp(Timer timer, int delayMilis) {
			super.center();
			super.show();
			timer.schedule(delayMilis);
		}
	public void showPopUp() {
			super.center();
			super.show();
		}
	public void hidePopUp() {
			super.hide();
		}
		
}
